Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class GroovyBasePlugin

    java.lang.Object
      org.gradle.api.plugins.GroovyBasePlugin

All Implemented Interfaces:
  Plugin

    public class GroovyBasePlugin

Extends JavaBasePlugin to provide support for compiling and documenting Groovy source files.

Field Summary
`static String` | `GROOVY_CONFIGURATION_NAME` The name of the configuration holding the Groovy compiler and tools.
`static String` | `GROOVY_RUNTIME_EXTENSION_NAME`

Constructor Summary
`GroovyBasePlugin(FileResolver fileResolver)`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### GROOVY_CONFIGURATION_NAME

    @Deprecated
    public static final String GROOVY_CONFIGURATION_NAME

  The name of the configuration holding the Groovy compiler and tools.
  deprecated:
    Typically, usages of `groovy` can simply be replaced with `compile`. In some cases, it may be necessary to additionally configure the `groovyClasspath` property of `GroovyCompile` and `Groovydoc` tasks.

### GROOVY_RUNTIME_EXTENSION_NAME

    public static final String GROOVY_RUNTIME_EXTENSION_NAME

Constructor Detail

### GroovyBasePlugin

    @Inject
    public GroovyBasePlugin(FileResolver fileResolver)

Method Detail

### apply

    public void apply(ProjectInternal project)

Gradle API 1.10